Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins.MapKey<Z,K>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,K>
                  org.apache.openjpa.persistence.criteria.Joins.MapKey<Z,K>

All Implemented Interfaces:
  Expression<K>, Path<K>, Selection<K>, TupleElement<K>, CriteriaExpression

Enclosing class:
  Joins

    static class Joins.MapKey<Z,K>

extends PathImpl<Z,K>

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`Joins.MapKey(Joins.Map<Z,K,?> joinMap)`

Method Summary
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`Type<?>` | `getType()`
`Value` | `toValue(ExpressionFactory factory, CriteriaQueryImpl<?> c)` Convert this path to a join expression.

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asVariable, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getModel, getParentPath, inSubquery, isCorrelated, setCorrelatedPath, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull, toKernelExpression`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`acceptVisit, alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### Joins.MapKey

    public Joins.MapKey(Joins.Map<Z,K,?> joinMap)

Method Detail

### getType

    public Type<?> getType()

  Overrides:
    `getType` in class `PathImpl<Z,K>`

### toValue

    public Value toValue(ExpressionFactory factory,
                         CriteriaQueryImpl<?> c)

  Convert this path to a join expression.

  Overrides:
    `toValue` in class `PathImpl<Z,K>`
  Parameters:
    `factory` - creates the kernel expression
    `c` - the query definition context of this expression
  Returns:
    an equivalent kernel value

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`
  Overrides:
    `asValue` in class `PathImpl<Z,K>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.